Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Get a template

Returns a single template including its full body source.

GET/themes/{theme_id}/templates/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
theme_idstringrequired

Theme ID

idstringrequired

Template ID or filename slug

Responses
200

Template entity

_linksHalLinks
idstring
file_namestring
pathstring
bodystring

Full template source code

is_sectionboolean
schemaobject

Present only when is_section is true — the section's configurable schema.

parent_commitstring | null
updated_onstring<date-time>
401

Unauthorized

403

Access denied

404

Template not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v2/themes/abc123/templates/layout.html' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "t1",
  "file_name": "layout.html",
  "name": "layout",
  "content_type": "text/html",
  "body": "<html><head></head><body>{{ content }}</body></html>",
  "is_section": false,
  "updated_on": "2024-11-15T09:30:00Z",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/themes/abc123/templates/t1"
    },
    "store:update_template": {
      "href": "https://api.onbolder.com/v2/themes/abc123/templates/t1",
      "method": "put"
    },
    "store:delete_template": {
      "href": "https://api.onbolder.com/v2/themes/abc123/templates/t1",
      "method": "delete"
    }
  }
}

Was this page helpful?